#!/bin/sh

set -eu

start_date="2028-01-01"
i=0
while [ "$i" -lt 366 ]; do
        current_date=$(date -d "$start_date + $i day" "+%d %m %Y")
        set -- $current_date
        day=$1
        month=$2
        yr=$3

        output=$(ddate +"%{%A, the %e of %B%}, %Y %N %H" "$day" "$month" "$yr")
        if echo "$output" | grep "St. Tib"; then
                exit 0
        fi

        i=$((i + 1))
done

exit 1
